> For the complete documentation index, see [llms.txt](https://docs.exaplan.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exaplan.one/configuration/configuration-file.md).

# Configuration file

The configuration file is used to define the system parameters and room dimensions. It is located in:

`\Exaplan_Data\StreamingAssets\Exaplan_config.json`

It has the following structure:

```json
{
  "interfaceDisplay": 0,
  "projectionDisplay": 2,
  "projectionOrientation":-90,
  "roomWidthMeters": 14.782,
  "roomHeightMeters": 32.241,
  "viosoWarpBlend":true,
  "roomWidthPixels": 6912,
  "roomHeightPixels": 3169,
  "DisplayWidthPixels": 3840,
  "DisplayHeightPixels": 7200, 
  "enableFileWatcher":false,
  "enableStartupAnimation":true
}
```

The parameters are explained below:

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">InterfaceDisplay</td><td valign="top">Display ID of the main UI window (0 is main screen)</td></tr><tr><td valign="top">ProjectionDisplay</td><td valign="top">Display ID of the projection display</td></tr><tr><td valign="top">ProjectionOrientation</td><td valign="top">Define an angle to rotate the projection (0,90,-90,180)</td></tr><tr><td valign="top">RoomWidthMeters</td><td valign="top">Width of the room (m)</td></tr><tr><td valign="top">RoomHeightMeters</td><td valign="top">Height of the room (m)</td></tr><tr><td valign="top">viosoWarpBlend</td><td valign="top">Enable processing of vwf files through VIOSO plugin.  Configure in the VIOSOWarpBlend.ini file.</td></tr><tr><td valign="top">roomWidthPixels</td><td valign="top">Room width in pixels without overlap</td></tr><tr><td valign="top">roomHeightPixels</td><td valign="top">Room height in pixels without overlap</td></tr><tr><td valign="top">DisplayWidthPixels</td><td valign="top">Projection Display width in pixels (as detected by windows)</td></tr><tr><td valign="top">DisplayHeightPixels</td><td valign="top">Projection Display height in pixels (as detected by windows)</td></tr><tr><td valign="top">enableFileWatcher</td><td valign="top">(boolean) Enable a File Watcher thread on Layer0 for dynamic reloading: when the source plan file is edited it will be automatically re-imported.</td></tr><tr><td valign="top">enableStartupAnimation</td><td valign="top">(boolean) enable/disable the Exaplan animation on application startup.</td></tr></tbody></table>

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exaplan.one/configuration/configuration-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
